pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: xf86-video-vga doesn't compile in 2013Q2?

On Mon, Aug 12, 2013 at 10:10:04PM +0200, Ignatios Souvatzis wrote:
> are both of my build environments - i386 and amd64, pkgsrc-2013Q2, 
> netbsd-6.1 - broken? I see
> In file included from generic.c:49:0:
> /pkg_comp/obj/pkgsrc/x11/xf86-video-vga/default/.buildlink/include/xorg/xf86PciInfo.h:50:2:
>  warning: #warning "xf86PciInfo.h is deprecated.  For greater compatibility, 
> drivers should include necessary PCI IDs locally rather than relying on this 
> file from xorg-server."
> generic.c:66:21: fatal error: xf86RAC.h: No such file or directory
> compilation terminated.
> *** [generic.lo] Error code 1
> Anybody else?

The vga driver is deprecated by upstream, use the vesa one instead.

We should probably remove the deprecated driver packages.

Home | Main Index | Thread Index | Old Index